import React, {
  useState,
  useCallback,
  useEffect,
} from 'react';
import ReactDOM from 'react-dom';
import { message } from './message';

const width = window.innerWidth;
const height = window.innerHeight;
const csvUrl =
  'https://gist.githubusercontent.com/beauMarko/f7513da95727642a60000c9292d33f96/raw/cssNamedColors';

const App = () => {
  const [data, setdData] = useState(null);

  useEffect(() => {
      d3.csv(csvUrl).then(setdData);
    }, []);

  return <pre>{data ? message(data) : 'Loading...'}</pre>;
};

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);
